std::experimental::ranges::UnsignedIntegral(3)

NAME
std::experimental::ranges::UnsignedIntegral - std::experimental::ranges::UnsignedIntegral

Synopsis
   Defined in header <experimental/ranges/concepts>
   template < class T > (ranges TS)
   concept bool UnsignedIntegral = Integral<T> && !SignedIntegral<T>;
   The concept UnsignedIntegral<T> is satisfied if and only if T is an integral type
   and std::is_signed<T>::value is false.

Notes
   UnsignedIntegral<T> may be satisfied by a type that is not a unsigned integer type,
   for example, bool.

See also
   is_integral checks if a type is an integral type
   (C++11) (class template)
   is_signed checks if a type is a signed arithmetic type
   (C++11) (class template)